# Generated by Django 2.0.5 on 2020-04-17 08:28

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0082_provider_timezone'),
        ('collector', '0012_auto_20200410_1228'),
    ]

    operations = [
        migrations.CreateModel(
            name='NCMCiscoCDPData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('entity_id', models.IntegerField()),
                ('node_id', models.CharField(max_length=300)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('collector_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='collector.CustomerCollector')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
        ),
        migrations.RemoveField(
            model_name='ncm_cisco_cdp_data',
            name='customer',
        ),
        migrations.RemoveField(
            model_name='ncm_cisco_cdp_data',
            name='provider',
        ),
        migrations.DeleteModel(
            name='NCM_Cisco_CDP_Data',
        ),
        migrations.AlterUniqueTogether(
            name='ncmciscocdpdata',
            unique_together={('entity_id', 'provider')},
        ),
    ]
